org.apache.lucene.codecs.lucene40

## Class Lucene40NormsFormat

- java.lang.Object
- - org.apache.lucene.codecs.NormsFormat
  - - org.apache.lucene.codecs.lucene40.Lucene40NormsFormat

- Deprecated.
  Only for reading old 4.0 and 4.1 segments

      @Deprecated
      public class Lucene40NormsFormat
      extends NormsFormat

  Lucene 4.0 Norms Format.

  Files:

  - `.nrm.cfs`: `compound container`
  - `.nrm.cfe`: `compound entries`
  Norms are implemented as DocValues, so other than file extension, norms are written exactly the same way as `DocValues`.
  See Also:
    `Lucene40DocValuesFormat`
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene40NormsFormat()` Deprecated. Sole constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocValuesConsumer` | `normsConsumer(SegmentWriteState state)` Deprecated. Returns a `DocValuesConsumer` to write norms to the index.
    `DocValuesProducer` | `normsProducer(SegmentReadState state)` Deprecated. Returns a `DocValuesProducer` to read norms from the index.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene40NormsFormat

          public Lucene40NormsFormat()

      Deprecated.
      Sole constructor.

  - ### Method Detail

    - #### normsConsumer

          public DocValuesConsumer normsConsumer(SegmentWriteState state)
                                          throws IOException

      Deprecated.
      Description copied from class: `NormsFormat`
      Returns a `DocValuesConsumer` to write norms to the index.
      Specified by:
        `normsConsumer` in class `NormsFormat`
      Throws:
        `IOException`

    - #### normsProducer

          public DocValuesProducer normsProducer(SegmentReadState state)
                                          throws IOException

      Deprecated.
      Description copied from class: `NormsFormat`
      Returns a `DocValuesProducer` to read norms from the index.

      NOTE: by the time this call returns, it must hold open any files it will need to use; else, those files may be deleted. Additionally, required files may be deleted during the execution of this call before there is a chance to open them. Under these circumstances an IOException should be thrown by the implementation. IOExceptions are expected and will automatically cause a retry of the segment opening logic with the newly revised segments.

      Specified by:
        `normsProducer` in class `NormsFormat`
      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.